<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<!-- 2021-12-03 Fri 15:43 -->
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<title>Aura</title>
<meta name="author" content="dt" />
<meta name="description" content="Knowledge Base - Aura
Header
Header" />
<meta name="generator" content="Org Mode" />
<style>
  #content { max-width: 60em; margin: auto; }
  .title  { text-align: center;
             margin-bottom: .2em; }
  .subtitle { text-align: center;
              font-size: medium;
              font-weight: bold;
              margin-top:0; }
  .todo   { font-family: monospace; color: red; }
  .done   { font-family: monospace; color: green; }
  .priority { font-family: monospace; color: orange; }
  .tag    { background-color: #eee; font-family: monospace;
            padding: 2px; font-size: 80%; font-weight: normal; }
  .timestamp { color: #bebebe; }
  .timestamp-kwd { color: #5f9ea0; }
  .org-right  { margin-left: auto; margin-right: 0px;  text-align: right; }
  .org-left   { margin-left: 0px;  margin-right: auto; text-align: left; }
  .org-center { margin-left: auto; margin-right: auto; text-align: center; }
  .underline { text-decoration: underline; }
  #postamble p, #preamble p { font-size: 90%; margin: .2em; }
  p.verse { margin-left: 3%; }
  pre {
    border: 1px solid #e6e6e6;
    border-radius: 3px;
    background-color: #f2f2f2;
    padding: 8pt;
    font-family: monospace;
    overflow: auto;
    margin: 1.2em;
  }
  pre.src {
    position: relative;
    overflow: auto;
  }
  pre.src:before {
    display: none;
    position: absolute;
    top: -8px;
    right: 12px;
    padding: 3px;
    color: #555;
    background-color: #f2f2f299;
  }
  pre.src:hover:before { display: inline; margin-top: 14px;}
  /* Languages per Org manual */
  pre.src-asymptote:before { content: 'Asymptote'; }
  pre.src-awk:before { content: 'Awk'; }
  pre.src-authinfo::before { content: 'Authinfo'; }
  pre.src-C:before { content: 'C'; }
  /* pre.src-C++ doesn't work in CSS */
  pre.src-clojure:before { content: 'Clojure'; }
  pre.src-css:before { content: 'CSS'; }
  pre.src-D:before { content: 'D'; }
  pre.src-ditaa:before { content: 'ditaa'; }
  pre.src-dot:before { content: 'Graphviz'; }
  pre.src-calc:before { content: 'Emacs Calc'; }
  pre.src-emacs-lisp:before { content: 'Emacs Lisp'; }
  pre.src-fortran:before { content: 'Fortran'; }
  pre.src-gnuplot:before { content: 'gnuplot'; }
  pre.src-haskell:before { content: 'Haskell'; }
  pre.src-hledger:before { content: 'hledger'; }
  pre.src-java:before { content: 'Java'; }
  pre.src-js:before { content: 'Javascript'; }
  pre.src-latex:before { content: 'LaTeX'; }
  pre.src-ledger:before { content: 'Ledger'; }
  pre.src-lisp:before { content: 'Lisp'; }
  pre.src-lilypond:before { content: 'Lilypond'; }
  pre.src-lua:before { content: 'Lua'; }
  pre.src-matlab:before { content: 'MATLAB'; }
  pre.src-mscgen:before { content: 'Mscgen'; }
  pre.src-ocaml:before { content: 'Objective Caml'; }
  pre.src-octave:before { content: 'Octave'; }
  pre.src-org:before { content: 'Org mode'; }
  pre.src-oz:before { content: 'OZ'; }
  pre.src-plantuml:before { content: 'Plantuml'; }
  pre.src-processing:before { content: 'Processing.js'; }
  pre.src-python:before { content: 'Python'; }
  pre.src-R:before { content: 'R'; }
  pre.src-ruby:before { content: 'Ruby'; }
  pre.src-sass:before { content: 'Sass'; }
  pre.src-scheme:before { content: 'Scheme'; }
  pre.src-screen:before { content: 'Gnu Screen'; }
  pre.src-sed:before { content: 'Sed'; }
  pre.src-sh:before { content: 'shell'; }
  pre.src-sql:before { content: 'SQL'; }
  pre.src-sqlite:before { content: 'SQLite'; }
  /* additional languages in org.el's org-babel-load-languages alist */
  pre.src-forth:before { content: 'Forth'; }
  pre.src-io:before { content: 'IO'; }
  pre.src-J:before { content: 'J'; }
  pre.src-makefile:before { content: 'Makefile'; }
  pre.src-maxima:before { content: 'Maxima'; }
  pre.src-perl:before { content: 'Perl'; }
  pre.src-picolisp:before { content: 'Pico Lisp'; }
  pre.src-scala:before { content: 'Scala'; }
  pre.src-shell:before { content: 'Shell Script'; }
  pre.src-ebnf2ps:before { content: 'ebfn2ps'; }
  /* additional language identifiers per "defun org-babel-execute"
       in ob-*.el */
  pre.src-cpp:before  { content: 'C++'; }
  pre.src-abc:before  { content: 'ABC'; }
  pre.src-coq:before  { content: 'Coq'; }
  pre.src-groovy:before  { content: 'Groovy'; }
  /* additional language identifiers from org-babel-shell-names in
     ob-shell.el: ob-shell is the only babel language using a lambda to put
     the execution function name together. */
  pre.src-bash:before  { content: 'bash'; }
  pre.src-csh:before  { content: 'csh'; }
  pre.src-ash:before  { content: 'ash'; }
  pre.src-dash:before  { content: 'dash'; }
  pre.src-ksh:before  { content: 'ksh'; }
  pre.src-mksh:before  { content: 'mksh'; }
  pre.src-posh:before  { content: 'posh'; }
  /* Additional Emacs modes also supported by the LaTeX listings package */
  pre.src-ada:before { content: 'Ada'; }
  pre.src-asm:before { content: 'Assembler'; }
  pre.src-caml:before { content: 'Caml'; }
  pre.src-delphi:before { content: 'Delphi'; }
  pre.src-html:before { content: 'HTML'; }
  pre.src-idl:before { content: 'IDL'; }
  pre.src-mercury:before { content: 'Mercury'; }
  pre.src-metapost:before { content: 'MetaPost'; }
  pre.src-modula-2:before { content: 'Modula-2'; }
  pre.src-pascal:before { content: 'Pascal'; }
  pre.src-ps:before { content: 'PostScript'; }
  pre.src-prolog:before { content: 'Prolog'; }
  pre.src-simula:before { content: 'Simula'; }
  pre.src-tcl:before { content: 'tcl'; }
  pre.src-tex:before { content: 'TeX'; }
  pre.src-plain-tex:before { content: 'Plain TeX'; }
  pre.src-verilog:before { content: 'Verilog'; }
  pre.src-vhdl:before { content: 'VHDL'; }
  pre.src-xml:before { content: 'XML'; }
  pre.src-nxml:before { content: 'XML'; }
  /* add a generic configuration mode; LaTeX export needs an additional
     (add-to-list 'org-latex-listings-langs '(conf " ")) in .emacs */
  pre.src-conf:before { content: 'Configuration File'; }

  table { border-collapse:collapse; }
  caption.t-above { caption-side: top; }
  caption.t-bottom { caption-side: bottom; }
  td, th { vertical-align:top;  }
  th.org-right  { text-align: center;  }
  th.org-left   { text-align: center;   }
  th.org-center { text-align: center; }
  td.org-right  { text-align: right;  }
  td.org-left   { text-align: left;   }
  td.org-center { text-align: center; }
  dt { font-weight: bold; }
  .footpara { display: inline; }
  .footdef  { margin-bottom: 1em; }
  .figure { padding: 1em; }
  .figure p { text-align: center; }
  .equation-container {
    display: table;
    text-align: center;
    width: 100%;
  }
  .equation {
    vertical-align: middle;
  }
  .equation-label {
    display: table-cell;
    text-align: right;
    vertical-align: middle;
  }
  .inlinetask {
    padding: 10px;
    border: 2px solid gray;
    margin: 10px;
    background: #ffffcc;
  }
  #org-div-home-and-up
   { text-align: right; font-size: 70%; white-space: nowrap; }
  textarea { overflow-x: auto; }
  .linenr { font-size: smaller }
  .code-highlighted { background-color: #ffff00; }
  .org-info-js_info-navigation { border-style: none; }
  #org-info-js_console-label
    { font-size: 10px; font-weight: bold; white-space: nowrap; }
  .org-info-js_search-highlight
    { background-color: #ffff00; color: #000000; font-weight: bold; }
  .org-svg { width: 90%; }
</style>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
</head>
<body>
<div id="content" class="content">
<h1 class="title">Aura</h1>
<div id="table-of-contents" role="doc-toc">
<h2>Table of Contents</h2>
<div id="text-table-of-contents" role="doc-toc">
<ul>
<li><a href="#orga8831bb">What is Aura?</a></li>
<li><a href="#org4a45e01">The Aura Philosophy</a>
<ul>
<li><a href="#org4d29acf">Aura is Pacman</a></li>
<li><a href="#org11728a6">Arch is Arch - AUR is AUR</a></li>
<li><a href="#org034c4e2">Secure Package Building</a></li>
<li><a href="#orgba6e124">Downgradibility</a></li>
<li><a href="#orgb940131">Arch Linux for Everyone</a></li>
<li><a href="#org4cd345e">Haskell</a></li>
</ul>
</li>
<li><a href="#org4d88f41">Installation</a>
<ul>
<li><a href="#orge512382">Prebuilt Binaries</a></li>
<li><a href="#orgc5bb047">Building from Source</a></li>
</ul>
</li>
<li><a href="#org45ea58a">Aura Commands</a>
<ul>
<li><a href="#orgf8be882">Installing Packages</a></li>
<li><a href="#org27826ed">Package Set Snapshots</a></li>
<li><a href="#org7b62f44">Downgrading via the Package Cache</a></li>
<li><a href="#org1e155e6">Searching the Pacman Log</a></li>
<li><a href="#org60c8608">Managing Orphan Packages</a></li>
<li><a href="#orgc560681">PKGBUILD Security Analysis</a></li>
</ul>
</li>
<li><a href="#org62b04dc">Configuration</a></li>
<li><a href="#orgfafddd8">Localisation</a></li>
<li><a href="#org8060785">Links</a>
<ul>
<li><a href="#orgaeb7752">Footer</a></li>
</ul>
</li>
</ul>
</div>
</div>
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<tbody>
<tr>
<td class="org-left"><a href="../index.html">Home</a></td>
<td class="org-left"><a href="../dtos/index.html">DTOS</a></td>
<td class="org-left"><a href="index.html">Knowledge Base</a></td>
<td class="org-left"><a href="../community/index.html">Community</a></td>
<td class="org-left"><a href="../contribute/index.html">Contribute</a></td>
<td class="org-left"><a href="../support/index.html">Support DT&rsquo;s Work</a></td>
</tr>
</tbody>
</table>

<div id="outline-container-orga8831bb" class="outline-2">
<h2 id="orga8831bb">What is Aura?</h2>
<div class="outline-text-2" id="text-orga8831bb">
<p>
Aura is a package manager for Arch Linux. Its original purpose is as an <code>AUR helper</code>, in that it automates the process of installing packages from the Arch User Repositories. It is, however, capable of much more.
</p>
</div>
</div>

<div id="outline-container-org4a45e01" class="outline-2">
<h2 id="org4a45e01">The Aura Philosophy</h2>
<div class="outline-text-2" id="text-org4a45e01">
</div>
<div id="outline-container-org4d29acf" class="outline-3">
<h3 id="org4d29acf">Aura is Pacman</h3>
<div class="outline-text-3" id="text-org4d29acf">
<p>
Aura does not mimic <code>pacman</code>; it is <code>pacman</code>!  All <code>pacman</code> operations and their sub-options are allowed.  Some even hold special meaning in Aura as well.
</p>
</div>
</div>

<div id="outline-container-org11728a6" class="outline-3">
<h3 id="org11728a6">Arch is Arch - AUR is AUR</h3>
<div class="outline-text-3" id="text-org11728a6">
<p>
<code>-S</code> yields pacman packages and only pacman packages. This agrees with the above. In Aura, the <code>-A</code> operation is introduced for obtaining AUR packages. <code>-A</code> comes with sub-options you&rsquo;re used to (<code>-u</code>, <code>-s</code>, <code>-i</code>, etc.).
</p>
</div>
</div>

<div id="outline-container-org034c4e2" class="outline-3">
<h3 id="org034c4e2">Secure Package Building</h3>
<div class="outline-text-3" id="text-org034c4e2">
<p>
PKGBUILDs from the AUR can contain anything. It&rsquo;s a user&rsquo;s responsibility to verify the contents of a PKGBUILD before building, but people can make mistakes and overlook details. Aura scans PKGBUILDs before building to detect bash misuse and other exploits. The <code>-P</code> command is also provided for scanning your own PKGBUILDs.
</p>

<p>
Also, while pre-build PKGBUILD editing is not default behavior, this can be achieved with <code>--hotedit</code>.
</p>
</div>
</div>

<div id="outline-container-orgba6e124" class="outline-3">
<h3 id="orgba6e124">Downgradibility</h3>
<div class="outline-text-3" id="text-orgba6e124">
<p>
Aura allows you to downgrade individual packages to previous versions with <code>-C</code>. It also handles snapshots of your entire system, so that you can roll back whole sets of packages when problems arise. The option <code>-B</code> will save a package state, and <code>-Br</code> will restore a state you select. <code>-Su</code> and <code>-Au</code> also invoke a save automatically.
</p>
</div>
</div>

<div id="outline-container-orgb940131" class="outline-3">
<h3 id="orgb940131">Arch Linux for Everyone</h3>
<div class="outline-text-3" id="text-orgb940131">
<p>
English is the dominant language of computing and the internet. That said, it&rsquo;s natural that some people are going to be more comfortable working in their native language. From the beginning, Aura has been built with multiple-language support in mind, making it very easy to add new ones.
</p>
</div>
</div>

<div id="outline-container-org4cd345e" class="outline-3">
<h3 id="org4cd345e">Haskell</h3>
<div class="outline-text-3" id="text-org4cd345e">
<p>
Aura is written in Haskell, which means easy development and beautiful code. Please feel free to use it as a Haskell reference. Aura code demonstrates:
</p>

<ul class="org-ul">
<li>Parser combinators (megaparsec)</li>
<li>CLI flag handling (optparse-applicative)</li>
<li>Concurrency (scheduler)</li>
<li>Shell interaction (typed-process)</li>
<li>Pretty printing (prettyprinter)</li>
<li>Logging (rio)</li>
<li>Modern Haskell project architecture (config, CI, distribution)</li>
</ul>
</div>
</div>
</div>

<div id="outline-container-org4d88f41" class="outline-2">
<h2 id="org4d88f41">Installation</h2>
<div class="outline-text-2" id="text-org4d88f41">
</div>
<div id="outline-container-orge512382" class="outline-3">
<h3 id="orge512382">Prebuilt Binaries</h3>
<div class="outline-text-3" id="text-orge512382">
<p>
It is recommended to install the prebuilt binary of Aura:
</p>
<pre class="example" id="org992b631">
git clone https://aur.archlinux.org/aura-bin.git
cd aura-bin
makepkg
sudo pacman -U &lt;the-package-file-that-makepkg-produces&gt;
</pre>
</div>
</div>

<div id="outline-container-orgc5bb047" class="outline-3">
<h3 id="orgc5bb047">Building from Source</h3>
<div class="outline-text-3" id="text-orgc5bb047">
<p>
You will need the Stack Tool for Haskell to compile Aura yourself. Then:
</p>
<pre class="example" id="org4ec2b49">
git clone https://github.com/fosskers/aura.git
cd aura
stack install -- aura
</pre>

<p>
<code>NOTE:</code> This may take a while to initially build all of Aura&rsquo;s dependencies. Once complete, your aura binary will be available in <i>home/YOU</i>.local/bin/.
</p>
</div>
</div>
</div>

<div id="outline-container-org45ea58a" class="outline-2">
<h2 id="org45ea58a">Aura Commands</h2>
<div class="outline-text-2" id="text-org45ea58a">
</div>
<div id="outline-container-orgf8be882" class="outline-3">
<h3 id="orgf8be882">Installing Packages</h3>
<div class="outline-text-3" id="text-orgf8be882">
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<thead>
<tr>
<th scope="col" class="org-left">Command</th>
<th scope="col" class="org-left">Function</th>
</tr>
</thead>
<tbody>
<tr>
<td class="org-left">aura -A &lt;package&gt;</td>
<td class="org-left">Install an AUR package.</td>
</tr>

<tr>
<td class="org-left">aura -Au</td>
<td class="org-left">Upgrade all installed AUR packages.</td>
</tr>

<tr>
<td class="org-left">aura -Akuax</td>
<td class="org-left">Combo special! (upgrades, removes makedeps, shows PKGBUILD diffs, shows progress)</td>
</tr>

<tr>
<td class="org-left">aura -Ai &lt;package&gt;</td>
<td class="org-left">Look up information on an AUR package.</td>
</tr>

<tr>
<td class="org-left">aura -As &lt;regex&gt;</td>
<td class="org-left">Search the AUR via a regex.</td>
</tr>

<tr>
<td class="org-left">aura -Ap &lt;package&gt;</td>
<td class="org-left">Display a package&rsquo;s PKGBUILD.</td>
</tr>

<tr>
<td class="org-left">aura -Ad &lt;package&gt;</td>
<td class="org-left">List a package&rsquo;s dependencies.</td>
</tr>
</tbody>
</table>
</div>
</div>

<div id="outline-container-org27826ed" class="outline-3">
<h3 id="org27826ed">Package Set Snapshots</h3>
<div class="outline-text-3" id="text-org27826ed">
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<thead>
<tr>
<th scope="col" class="org-left">Command</th>
<th scope="col" class="org-left">Function</th>
</tr>
</thead>
<tbody>
<tr>
<td class="org-left">aura -B</td>
<td class="org-left">Store a JSON record of all installed packages.</td>
</tr>

<tr>
<td class="org-left">aura -Br</td>
<td class="org-left">Restore a saved record. Rolls back and uninstalls as necessary.</td>
</tr>

<tr>
<td class="org-left">aura -Bc &lt;n&gt;</td>
<td class="org-left">Delete all but the most recent &rsquo;n&rsquo; saved states.</td>
</tr>

<tr>
<td class="org-left">aura -Bl</td>
<td class="org-left">Show all saved package state filenames.</td>
</tr>
</tbody>
</table>
</div>
</div>

<div id="outline-container-org7b62f44" class="outline-3">
<h3 id="org7b62f44">Downgrading via the Package Cache</h3>
<div class="outline-text-3" id="text-org7b62f44">
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<thead>
<tr>
<th scope="col" class="org-left">Command</th>
<th scope="col" class="org-left">Function</th>
</tr>
</thead>
<tbody>
<tr>
<td class="org-left">aura -C &lt;package&gt;</td>
<td class="org-left">Downgrade a package.</td>
</tr>

<tr>
<td class="org-left">aura -Cs &lt;regex&gt;</td>
<td class="org-left">Search the package cache for files that match a regex.</td>
</tr>

<tr>
<td class="org-left">aura -Cc &lt;n&gt;</td>
<td class="org-left">Delete all but the most recent &rsquo;n&rsquo; versions of each cached package.</td>
</tr>

<tr>
<td class="org-left">aura -Cv</td>
<td class="org-left">Delete all of the /var/cache/aura/vcs cache</td>
</tr>
</tbody>
</table>
</div>
</div>

<div id="outline-container-org1e155e6" class="outline-3">
<h3 id="org1e155e6">Searching the Pacman Log</h3>
<div class="outline-text-3" id="text-org1e155e6">
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<thead>
<tr>
<th scope="col" class="org-left">Command</th>
<th scope="col" class="org-left">Function</th>
</tr>
</thead>
<tbody>
<tr>
<td class="org-left">aura -L</td>
<td class="org-left">View the Pacman log.</td>
</tr>

<tr>
<td class="org-left">aura -Li &lt;package&gt;</td>
<td class="org-left">View the install / upgrade history of a package.</td>
</tr>

<tr>
<td class="org-left">aura -Ls &lt;regex&gt;</td>
<td class="org-left">Search the Pacman log via a regex.</td>
</tr>
</tbody>
</table>
</div>
</div>

<div id="outline-container-org60c8608" class="outline-3">
<h3 id="org60c8608">Managing Orphan Packages</h3>
<div class="outline-text-3" id="text-org60c8608">
<p>
Orphan packages are those whose install reason is marked as &ldquo;As Dependency&rdquo;, but are not actually depended upon by any installed package.
</p>

<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<thead>
<tr>
<th scope="col" class="org-left">Command</th>
<th scope="col" class="org-left">Function</th>
</tr>
</thead>
<tbody>
<tr>
<td class="org-left">aura -O</td>
<td class="org-left">Display orphan packages.</td>
</tr>

<tr>
<td class="org-left">aura -Oa &lt;package&gt;</td>
<td class="org-left">Change a package&rsquo;s install reason to &rsquo;Explicitly installed&rsquo;.</td>
</tr>

<tr>
<td class="org-left">aura -Oj</td>
<td class="org-left">Uninstall all orphan packages.</td>
</tr>
</tbody>
</table>
</div>
</div>

<div id="outline-container-orgc560681" class="outline-3">
<h3 id="orgc560681">PKGBUILD Security Analysis</h3>
<div class="outline-text-3" id="text-orgc560681">
<p>
As mentioned above, the -P commands can help us detect bash usage that conflicts with the AUR guidelines, as well as outright exploits.
</p>

<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<thead>
<tr>
<th scope="col" class="org-left">Command</th>
<th scope="col" class="org-left">Function</th>
</tr>
</thead>
<tbody>
<tr>
<td class="org-left">aura -P &lt;stdin&gt;</td>
<td class="org-left">Analyse a PKGBUILD piped from -Ap.</td>
</tr>

<tr>
<td class="org-left">aura -Pf &lt;file&gt;</td>
<td class="org-left">Analyse a PKGBUILD file.</td>
</tr>

<tr>
<td class="org-left">aura -Pd &lt;dir&gt;</td>
<td class="org-left">Analyse the PKGBUILD file found in a directory.</td>
</tr>

<tr>
<td class="org-left">aura -Pa</td>
<td class="org-left">Analyse all locally installed AUR packages.</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>

<div id="outline-container-org62b04dc" class="outline-2">
<h2 id="org62b04dc">Configuration</h2>
<div class="outline-text-2" id="text-org62b04dc">
<p>
Aura looks for a configuration file at /etc/aura.conf, but won&rsquo;t break if one isn&rsquo;t present. A template config file <a href="https://github.com/fosskers/aura/blob/master/aura/doc/aura.conf">can be found here</a> and contains all instructions. If you install Aura via its AUR package, this file is added for you.
</p>
</div>
</div>

<div id="outline-container-orgfafddd8" class="outline-2">
<h2 id="orgfafddd8">Localisation</h2>
<div class="outline-text-2" id="text-orgfafddd8">
<p>
Adding new languages to Aura is quite easy. If you speak a language other than those available and would like it added to Aura, please see the <a href="https://fosskers.github.io/aura/localisation.html">localisation</a> section of <a href="https://fosskers.github.io/aura/">The Aura Book</a>.
</p>
</div>
</div>

<div id="outline-container-org8060785" class="outline-2">
<h2 id="org8060785">Links</h2>
<div class="outline-text-2" id="text-org8060785">
<ul class="org-ul">
<li><a href="https://github.com/fosskers/aura">Aura GitHub</a></li>
<li><a href="https://fosskers.github.io/aura/">The Aura Book</a></li>
</ul>
</div>

<div id="outline-container-orgaeb7752" class="outline-3">
<h3 id="orgaeb7752">Footer</h3>
<div class="outline-text-3" id="text-orgaeb7752">
<p>
Copyright © 2020-2021 Derek Taylor (DistroTube)
</p>

<p>
This page is licensed under a <a href="https://creativecommons.org/licenses/by-nd/4.0/">Creative Commons Attribution-NoDerivatives 4.0 International License</a> (CC-BY-ND 4.0).
</p>

<p>
The source code for distro.tube can be found on <a href="https://gitlab.com/dwt1/distro.tube">GitLab</a>.  User-submitted contributions to the site are welcome, as long as the contributor agrees to license their submission with the CC-BY-ND 4.0 license.
</p>
</div>
</div>
</div>
</div>
<div id="postamble" class="status">
<p class="author">Author: dt</p>
<p class="date">Created: 2021-12-03 Fri 15:43</p>
</div>
</body>
</html>
